// KERNEL32.DLL
BOOL _pascal CopyFileA(LPCSTR lpExistingFileName,LPCSTR lpNewFileName,BOOL bFailIfExists);
BOOL _pascal CreateDirectoryA(LPCSTR lpPathName,LPSECURITY_ATTRIBUTES lpSecurityAttributes);
BOOL _pascal CreateDirectoryExA(LPCTSTR lpTemplateDirectory,LPCTSTR lpNewDirectory,LPSECURITY_ATTRIBUTES lpSecurityAttributes);
HANDLE _pascal CreateEventA(LPSECURITY_ATTRIBUTES lpEventAttributes,BOOL bManualReset,BOOL bInitialState,LPCSTR lpName);
HANDLE _pascal CreateFileA(LPCTSTR lpFileName,DWORD dwDesiredAccess,DWORD dwShareMode,LPSECURITY_ATTRIBUTES lpSecurityAttributes,DWORD dwCreationDistribution,DWORD dwFlagsAndAttribute,HANDLE hTemplateFile);
DWORD _pascal SetFilePointer(HANDLE hFile,LONG lDistanceToMove,PLONG lpDistanceToMoveHigh,DWORD dwMoveMethod);
BOOL _pascal ReadFile(HANDLE hFile,LPvoid lpBuffer,DWORD nNumberOfBytesToRead,LPDWORD lpNumberOfBytesRead,LPOVERLAPPED lpOverlapped);
LONG _pascal _llseek(HFILE hFile,LONG offset,int whence);
HFILE _pascal _lopen(LPSTR lpPathName,int iReadWrite);
HFILE _pascal _lcreat(LPSTR lpPathName,int iAttribute);
HFILE _pascal _lread(HFILE hFile,LPvoid lpBuffer,UINT uBytes);
UINT _pascal _lwrite(HFILE hFile,LPvoid lpBuffer,UINT uBytes);
BOOL _pascal CreateProcessA(LPCSTR lpApplicationName,LPSTR lpCommandLine,LPSECURITY_ATTRIBUTES lpProcessAttributes,LPSECURITY_ATTRIBUTES lpThreadAttributes,BOOL bInheritHandles,DWORD dwCreationFlags,LPvoid lpEnvironment,LPCSTR lpCurrentDirectory,LPSTARTUPINFOA lpStartupInfo,LPPROCESS_INFORMATION lpProcessInformation);
HANDLE _pascal CreateRemoteThread(HANDLE hProcess,LPSECURITY_ATTRIBUTES lpThreadAttributes,DWORD dwStackSize,LPTHREAD_START_ROUTINE lpStartAddress,LPvoid lpParameter,DWORD dwCreationFlags,LPDWORD lpThreadId);
BOOL _pascal DefineDosDeviceA(DWORD dwFlags,LPCSTR lpDeviceName,LPCSTR lpTargetPath);
BOOL _pascal DeleteFileA(LPCSTR lpFileName);
BOOL _pascal DeviceIoControl(HANDLE hDevice,DWORD dwIoControlCode,LPvoid lpInBuffer,DWORD nInBufferSize,LPvoid lpOutBuffer,DWORD nOutBufferSize,LPDWORD lpBytesReturned,LPOVERLAPPED lpOverlapped);
BOOL _pascal DisableThreadLibraryCalls(HMODULE hLibModule);
BOOL _pascal FlushInstructionCache(HANDLE hProcess,LPCvoid lpBaseAddress,DWORD dwSize);
BOOL _pascal GetComputerNameA(LPSTR lpBuffer,LPDWORD nSize);
HGLOBAL _pascal GlobalAlloc(UINT uFlags,DWORD dwBytes);
HGLOBAL _pascal GlobalFree(HGLOBAL hMem);
HANDLE _pascal HeapCreate(DWORD flOptions,DWORD dwInitialSize,DWORD dwMaximumSize);
BOOL _pascal HeapDestroy(HANDLE hHeap);
LPvoid _pascal HeapAlloc(HANDLE hHeap,DWORD dwFlags,DWORD dwBytes);
BOOL _pascal HeapFree(HANDLE hHeap,DWORD dwFlags,LPvoid lpMem);
UINT _pascal HeapCompact(HANDLE hHeap,DWORD dwFlags);
HINSTANCE _pascal LoadLibraryA(LPCTSTR lpLibFileName);
HMODULE _pascal LoadLibraryExA(LPCSTR lpLibFileName,HANDLE hFile,DWORD dwFlags);
void _pascal FreeLibrary(HINSTANCE hInstLib);
HINSTANCE _pascal LoadModule(LPCSTR lpszModule,LPvoid lpvParamBlock);
BOOL _pascal LockFile(HANDLE hFile,DWORD dwFileOffsetLow,DWORD dwFileOffsetHigh,DWORD nNumberOfBytesToLockLow,DWORD nNumberOfBytesToLockHigh);
BOOL _pascal UnlockFile(HANDLE hFile,DWORD dwFileOffsetLow,DWORD dwFileOffsetHigh,DWORD nNumberOfBytesToUnlockLow,DWORD nNumberOfBytesToUnlockHigh);
BOOL _pascal LockFileEx(HANDLE hFile,DWORD dwFlags,DWORD dwReserved,DWORD nNumberOfBytesToLockLow,DWORD nNumberOfBytesToLockHigh,LPOVERLAPPED lpOverlapped);
BOOL _pascal MoveFileA(LPCSTR lpExistingFileName,LPCSTR lpNewFileName);
BOOL _pascal MoveFileExA(LPCSTR lpExistingFileName,LPCSTR lpNewFileName,DWORD dwFlags);
HFILE _pascal OpenFile(LPCSTR lpFileName,LPOFSTRUCT lpReOpenBuff,UINT uStyle);
HANDLE _pascal OpenProcess(DWORD dwDesiredAccess,BOOL bInheritHandle,DWORD dwProcessId);
BOOL _pascal Process32First(HANDLE hSnapShot,LPPROCESSENTRY32 lppe);
BOOL _pascal Process32Next(HANDLE hSnapShot,LPPROCESSENTRY32 lppe);
HANDLE _pascal GetCurrentProcess(void); 
DWORD _pascal GetCurrentProcessId(void); 
HANDLE _pascal GetCurrentThread(void); 
DWORD _pascal GetCurrentThreadId(void); 
DWORD _pascal QueryDosDeviceA(LPCSTR lpDeviceName,LPSTR lpTargetPath,DWORD ucchMax);
BOOL _pascal RemoveDirectoryA(LPCSTR lpPathName);
BOOL _pascal SetComputerNameA(LPCSTR lpComputerName);
LPvoid _pascal VirtualAlloc(LPvoid lpAddress,DWORD dwSize,DWORD flAllocationType,DWORD flProtect);
BOOL _pascal VirtualFree(LPvoid lpAddress,DWORD dwSize,DWORD dwFreeType);
BOOL _pascal VirtualProtect(LPvoid lpAddress,DWORD dwSize,DWORD flNewProtect,PDWORD lpflOldProtect);
DWORD _pascal VirtualQuery(LPCvoid lpAddress,PMEMORY_BASIC_INFORMATION lpBuffer,DWORD dwLength);
BOOL _pascal VirtualProtectEx(HANDLE hProcess,LPvoid lpAddress,DWORD dwSize,DWORD flNewProtect,PDWORD lpflOldProtect);
DWORD _pascal VirtualQueryEx(HANDLE hProcess,LPCvoid lpAddress,PMEMORY_BASIC_INFORMATION lpBuffer,DWORD dwLength);
BOOL _pascal VirtualLock(LPvoid lpAddress,DWORD dwSize);
BOOL _pascal VirtualUnlock(LPvoid lpAddress,DWORD dwSize);
BOOL _pascal WriteProfileStringA(LPCTSTR lpszSection,LPCTSTR lpszKey,LPCTSTR lpszString);
BOOL _pascal GetProfileStringA(LPCTSTR lpAppName,LPCTSTR lpKeyName,LPCTSTR lpDefault,LPSTR lpReturnedString,DWORD nSize);
void *_pascal GetProcAddress(HMODULE hModule,LPCSTR lpProcName);
void _pascal ExitProcess(UINT uExitCode);
UINT _pascal WinExec(LPCSTR lpszCmdLine,UINT nCmdShow);
void _pascal GetStartupInfoA(LPSTARTUPINFOA lpStartupInfo);
HMODULE _pascal GetModuleHandleA(LPCTSTR lpszModuleName);
DWORD _pascal GetModuleFileNameA(HMODULE hModule,LPTSTR lpFileName,DWORD nSize);
BOOL _pascal CloseHandle(HANDLE hObject);
HANDLE _pascal CreateFileMappingA(HANDLE hFile,LPSECURITY_ATTRIBUTES lpFileMappingAttributes,DWORD flProtect,DWORD dwMaximumSizeHigh,DWORD dwMaximumSizeLow,LPCTSTR lpName);
void _pascal FataLAppExit(UINT uAction,LPCTSTR lpMessageText);
void _pascal FatalExit(int exitCode);
HRSRC _pascal FindResourceA(HMODULE hModule,LPCTSTR lpName,LPCTSTR lpType);
HRSRC _pascal FindResourceExA(HMODULE hModule,LPCTSTR lpType,LPCTSTR lpName,WORD wLanguage);
BOOL _pascal GetDiskFreeSpaceA(LPCTSTR lpRootPathName,LPDWORD lpSectorsPerCluster,LPDWORD lpBytesPerSector,LPDWORD lpNumberOfFreeClusters,LPDWORD lpTotalNumberOfClusters);
BOOL _pascal GetFileTime(HANDLE hFile,LPFILETIME lpCreationTime,LPFILETIME lpLastAccessTime,LPFILETIME lpLastWriteTime);
DWORD _pascal GetFileSize(HANDLE hFile,LPDWORD lpFileSizeHigh);
UINT _pascal GetPrivateProfileIntA(LPCTSTR lpAppName,LPCTSTR lpKeyName,int nDefault,LPCTSTR lpFileName);
DWORD _pascal GetPrivateProfileSectionA(LPCTSTR lpAppName,LPSTR lpReturnedString,DWORD nSize,LPCTSTR lpFileName);
LPSTR _pascal GetEnvironmentStrings(void); 
LPSTR _pascal GetEnvironmentStringsA(void); 
DWORD _pascal GetLogicalDrives(void); 
DWORD _pascal SearchPathA(LPCTSTR lpszPath,LPCTSTR lpszFile,LPCTSTR lpszExtension,DWORD cchReturnBuffer,LPTSTR lpszReturnBuffer,void *plpszFilePart);
DWORD _pascal GetFullPathNameA(LPCTSTR lpFileName,DWORD nBufferLength,LPTSTR lpBuffer,void *lpFilePart);
ATOM _pascal GlobalAddAtomA(LPCTSTR lpString);
BOOL _pascal AllocConsole(void); 
HANDLE _pascal CreateNamedPipe(LPSTR lpName,DWORD dwOpenMode,DWORD dwPipeMode,DWORD nMaxInstances,DWORD nOutBufferSize,DWORD nInBufferSize,DWORD nDefaultTimeOut,LPSECURITY_ATTRIBUTES lpSecurityAtttributes);
BOOL _pascal CallNamedPipeA(LPCTSTR lpszPipeName,LPvoid lpvWriteBuf,DWORD cbWriteBuf,LPvoid lpvReadBuf,DWORD cbReadBuf,LPDWORD lpcbRead,DWORD dwTimeout);
BOOL _pascal ConnectNamedPipe(HANDLE hNamedPipe,LPOVERLAPPED lpOverlapped);
BOOL _pascal CreatePipe(PHANDLE phRead,PHANDLE phWrite,LPSECURITY_ATTRIBUTES lpsa,DWORD cbPipe);
HANDLE _pascal FindFirstFileA(LPCTSTR lpFileName,LPWIN32_FIND_DATA lpFindFileData);
BOOL _pascal FindNextFileA(HANDLE hFindFile,LPWIN32_FIND_DATA lpFindFileData);
BOOL _pascal FindClose(HANDLE hFindFile);
UINT _pascal GetDriveTypeA(LPSTR lpszRootPathName);
DWORD _pascal GetLogicalDriveStringsA(DWORD cchBuffer,LPSTR lpszBuffer);
BOOL _pascal GetVolumeInformationA(LPSTR lpRootPathName,LPSTR lpVolumeNameBuffer,DWORD nVolumeNameSize,LPDWORD lpVolumeSerialNumber,LPDWORD lpMaximumComponentLength,LPDWORD lpFileSystemFlags,LPSTR lpFileSystemNameBuffer,DWORD nFileSystemNameSize);
int _pascal lstrcmpA(LPSTR lpszString1,LPSTR lpszString2);
int _pascal lstrcmp(LPSTR lpszString1,LPSTR lpszString2);
// USER32.DLL
BOOL _pascal MessageBeep(UINT type);
HANDLE _pascal LoadImageA(HINSTANCE hInstance,LPCTSTR lpszName,UINT uType,int cxDesired,int cyDesired,UINT fuLoad);
ATOM _pascal RegisterClassExA(WNDCLASSEXA *lpWndClassExA);
ATOM _pascal RegisterClassA(WNDCLASS *lpWndClass);
HICON _pascal LoadIconA(HINSTANCE hInstance,LPCTSTR lpszIconName);
BOOL _pascal DestroyWindow(HWND hWnd);
HWND _pascal FindWindowA(LPCTSTR lpClassName,LPCTSTR lpWindowName);
HBITMAP _pascal LoadBitmap(HINSTANCE hInstance,LPCTSTR lpBitmapName);
BOOL _pascal AttachThreadInput(DWORD idAttach,DWORD idAttachTo,BOOL fAttach);
HDC _pascal BeginPaint(HWND hWnd,LPPAINTSTRUCT lpPaint);
BOOL _pascal BringWindowToTop(HWND hWnd);
long _pascal BroadcastSystemMessage(DWORD dwFlags,LPDWORD lpdwRecipients,UINT uiMessage,WPARAM wParam,LPARAM lParam);
long _pascal ChangeDisplaySettings(LPDEVMODE lpDevMode,DWORD dwFlags);
BOOL _pascal CloseDesktop(HDESK hDeskTop);
BOOL _pascal CloseWindow(HWND hWnd);
HICON _pascal CopyIcon(HICON hIcon);
HANDLE _pascal CopyImage(HANDLE hImage,UINT uType,int cxDesired,int cyDesired,UINT fuFlags);
BOOL _pascal DeleteMenu(HMENU hMenu,UINT uPosition,UINT uFlags);
BOOL _pascal DestroyCaret(void); 
BOOL _pascal DestroyCursor(HCURSOR hCursor);
BOOL _pascal DestroyIcon(HICON hIcon);
BOOL _pascal DestroyMenu(HMENU hMenu);
BOOL _pascal DrawAnimatedRects(HWND hWnd,int idAni,RECT *lprcFrom,RECT *lprcTo);
BOOL _pascal EndPaint(HWND hWnd,PAINTSTRUCT *lpPaint);
BOOL _pascal ExitWindowsEx(UINT uFlags,DWORD dwReserved);
BOOL _pascal FlashWindow(HWND hWnd,BOOL bInvert);
HBITMAP _pascal LoadBitmapA(HINSTANCE hInstance,LPCTSTR lpBitmapName);
BOOL _pascal PostMessageA(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
void _pascal PostQuitMessage(int nExitCode);
BOOL _pascal PostThreadMessage(DWORD dwThreadID,UINT uMsg,WPARAM wParam,LPARAM lParam);
LRESULT _pascal SendMessageA(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
int _pascal DialogBoxA(HANDLE hInstance,LPCTSTR lpTemplate,HWND hWndParent,DLGPROC lpDialogFunc);
int _pascal DialogBoxIndirectA(HANDLE hInstance,LPDLGTEMPLATE lpTemplate,HWND hWndParent,DLGPROC lpDialogFunc);
int _pascal DialogBoxIndirectParamA(HINSTANCE hInstance,LPCDLGTEMPLATE hDialogTemplate,HWND hWndParent,DLGPROC lpDialogFunc,LPARAM dwInitParam);
int _pascal DialogBoxParamA(HINSTANCE hInstance,LPCTSTR lpTemplateName,HWND hWndParent,DLGPROC lpDialogFunc,LPARAM dwInitParam);
BOOL _pascal ScreenToClient(HWND hWnd,LPPOINT lpPoint);
BOOL _pascal WinHelpA(HWND hwnd,LPCTSTR lpszHelp,UINT uCommand,DWORD dwData);
HWND _pascal CreateDialogParamA(HINSTANCE hInstance,LPCTSTR lpTemplateName,HWND hWndParent,DLGPROC lpDialogFunc,LPARAM dwInitParam);
int _pascal LoadStringA(HINSTANCE hInstance,UINT uID,LPTSTR lpBuffer,int nBufferMax);
BOOL _pascal SetDlgItemTextA(HWND hwndDlg,int idControl,LPCTSTR lpsz);
int _pascal GetWindowTextA(HWND hWnd,LPTSTR lpString,int nMaxCount);
BOOL _pascal SetWindowTextA(HWND hwnd,LPCTSTR lpsz);
LPTSTR _pascal CharUpperA(LPTSTR lpsz);
HANDLE _pascal SetClipboardData(UINT uFormat,HANDLE hData);
int _pascal DrawTextA(HDC hDC,LPSTR lpszStr,int cchStr,LPRECT lprc,UINT wFormat);
// SHELL32.DLL
HINSTANCE _pascal ShellExecuteA(HWND hwnd,LPCSTR lpOperation,LPCSTR lpFile,LPCSTR lpParameters,LPCSTR lpDirectory,int iShowCmd);
UINT _pascal DragQueryFileA(HDROP hDrop,UINT iFile,LPTSTR lpszFile,UINT cch);
void _pascal DragFinish(HDROP hDrop);
void _pascal DragAcceptFiles(HWND hWnd,BOOL fAccept);
int _pascal ShellAboutA(HWND hWnd,LPCTSTR szApp,LPCTSTR szOtherStuff,HICON hIcon);
HICON _pascal ExtractAssociatedIconA(HINSTANCE hInstance,LPSTR lpIconPath,LPWORD lpiIcon);
BOOL _pascal ShellExecuteExA(LPSHELLEXECUTEINFOA lpExecInfo);
DWORD _pascal SHGetFileInfo(LPCSTR pszPath,DWORD dwFileAttributes,PSHFILEINFO psfi,UINT cbFileInfo,UINT uFlags);
HINSTANCE _pascal FindExecutableA(LPSTR lpszFile,LPSTR lpszDir,LPTSTR lpszResult);
// WINMM.DLL
HDRVR _pascal OpenDriver(LPCWSTR szDriverName,LPCWSTR szSectionName,LONG lParam);
LRESULT _pascal CloseDriver(HDRVR hDriver,LONG lParam1,LONG lParam2);
MMRESULT _pascal midiConnect(HMIDI hMidi,HMIDIOUT hMidiOut,LPvoid lpReserved);
MMRESULT _pascal midiDisconnect(HMIDI hMidi,HMIDIOUT hMidiOut,LPvoid lpReserved);
UINT _pascal midiInAddBuffer(HMIDIIN hMidiIn,MIDIHDR *lpMidiInHdr,UINT uSize);
UINT _pascal midiInClose(HMIDIIN hMidiIn);
UINT _pascal midiInGetDevCapsA(UINT uDeviceID,LPMIDIINCAPS lpCaps,UINT uSize);
UINT _pascal midiInGetErrorTextA(UINT uError,LPSTR lpText,UINT uSize);
UINT _pascal midiInGetID(HMIDIIN hMidiIn,UINT *lpuDeviceID);
UINT _pascal midiInGetNumDevs(void); 
DWORD _pascal midiInMessage(HMIDIIN hMidiIn,UINT uMessage,DWORD dw1,DWORD dw2);
UINT _pascal midiInOpen(HMIDIIN *lphMidiIn,UINT uDeviceID,DWORD dwCallback,DWORD dwInstance,DWORD dwFlags);
UINT _pascal midiInPrepareHeader(HMIDIIN hMidiIn,MIDIHDR *lpMidiInHdr,UINT uSize);
UINT _pascal midiInReset(HMIDIIN hMidiIn);
UINT _pascal midiInStart(HMIDIIN hMidiIn);
UINT _pascal midiInStop(HMIDIIN hMidiIn);
UINT _pascal midiInUnprepareHeader(HMIDIIN hMidiIn,MIDIHDR *lpMidiInHdr,UINT uSize);
MMRESULT _pascal midiOutCachePatches(HMIDIOUT hMidiOut,UINT uBank,LPWORD pwpa,UINT fuCache);
MMRESULT _pascal midiOutCacheDrumPatches(HMIDIOUT hMidiOut,UINT uPatch,LPWORD pwkya,UINT fuCache);
MMRESULT _pascal midiOutClose(HMIDIOUT hMidiOut);
MMRESULT _pascal midiOutOpen(HMIDIOUT *lphMidiOut,UINT uDeviceID,DWORD dwCallback,DWORD dwInstance,DWORD dwFlags);
UINT _pascal midiOutLongMsg(HMIDIOUT hMidiOut,MIDIHDR *lpMidiHdrOut,UINT size);
DWORD _pascal midiOutMessage(HMIDIOUT hMidiOut,UINT uMessage,DWORD dw1,DWORD dw2);
UINT _pascal midiOutShortMsg(HMIDIOUT hMidiOut,DWORD dwMsg);
UINT _pascal midiOutGetDevCapsA(UINT uDeviceID,MIDIOUTCAPS *lpCaps,UINT uSize);
UINT _pascal midiOutGetErrorTextA(UINT uError,LPSTR lpText,UINT uSize);
UINT _pascal midiOutGetID(HMIDIOUT hMidiOut,UINT *lpuDeviceID);
UINT _pascal midiOutGetNumDevs(void); 
UINT _pascal midiOutGetVolume(UINT uDeviceID,DWORD *lpdwVolume);
UINT _pascal midiOutPrepareHeader(HMIDIOUT hMidiOut,MIDIHDR *lpMidiOutHdr,UINT uSize);
UINT _pascal midiOutReset(HMIDIOUT hMidiOut);
UINT _pascal midiOutSetVolume(UINT uDeviceID,DWORD dwVolume);
UINT _pascal midiOutUnprepareHeader(HMIDIOUT hMidiOut,MIDIHDR *lpMidiOutHdr,UINT uSize);
MMRESULT _pascal midiStreamClose(HMIDISTRM hms);
MMRESULT _pascal midiStreamOpen(LPHMIDISTRM phms,LPUINT puDeviceID,DWORD cMidi,DWORD dwCallback,DWORD dwInstance,DWORD fdwOpen);
MMRESULT _pascal midiStreamOut(HMIDISTRM hms,LPMIDIHDR pmh,UINT cbmh);
MMRESULT _pascal midiStreamPause(HMIDISTRM hms);
MMRESULT _pascal midiStreamPosition(HMIDISTRM hms,LPMMTIME lpmmt,UINT cbmmt);
MMRESULT _pascal midiStreamProperty(HMIDISTRM hms,LPBYTE lppropdata, DWORD dwProperty);
MMRESULT _pascal midiStreamRestart(HMIDISTRM hms);
MMRESULT _pascal midiStreamStop(HMIDISTRM hms);
DWORD _pascal mciSendStringA(LPCSTR lpstrCommand,LPSTR lpstrReturnString,UINT uReturnLength,HWND hwndCallback);
DWORD _pascal mciSendCommandA(UINT uDeviceID,UINT uMessage,DWORD dwParam1,DWORD dwParam2);
BOOL _pascal sndPlaySoundA(LPCSTR lpszSoundName,UINT uFlags);
BOOL _pascal mciGetErrorStringA(MCIERROR mcierr,LPSTR pszText,UINT cchText);
MMRESULT _pascal mixerClose(HMIXER hmx);
UINT _pascal mixerGetNumDevs(void); 
MMRESULT _pascal mixerGetDevCapsA(UINT mixerID,LPMIXERCAPSA pmxcaps,UINT cbmxcaps);
MMRESULT _pascal mixerOpen(LPHMIXER phmx,UINT mixerID,DWORD dwCallback,DWORD dwInstance,DWORD fdwOpen);
DWORD _pascal mixerMessage(HMIXER hmx,UINT uMsg,DWORD dwParam1,DWORD dwParam2);
MMRESULT _pascal mixerGetControlDetailsA(HMIXEROBJ hmxobj,LPMIXERCONTROLDETAILS pmxcd,DWORD fdwDetails);
MMRESULT _pascal mixerGetID(HMIXEROBJ hmxobj,UINT *puMxId,DWORD fdwId);
MMRESULT _pascal mixerSetControlDetails(HMIXEROBJ hmxobj,LPMIXERCONTROLDETAILS pmxcd,DWORD fdwDetails);
MMRESULT _pascal mixerGetLineControlsA(HMIXEROBJ hmxobj,LPMIXERLINECONTROLSA pmxlc,DWORD fdwControls);
MMRESULT _pascal mixerGetLineInfoA(HMIXEROBJ hmxobj,LPMIXERLINEA pmxl,DWORD fdwInfo);
// GDI32.DLL
int _pascal MessageBoxA(HWND hParentWnd,LPCSTR lpMessOne,LPCSTR lpMessTwo,UINT flags);
HWND _pascal CreateWindowExA(DWORD styleEx,LPSTR lpszClassName,LPSTR lpszWindowName,DWORD style,int x,int y,int width,int height,HWND hParent,HMENU hMenu,HINSTANCE hInstance,LPvoid lpCreationData);
BOOL _pascal AnimatePalette(HPALETTE hPalette,UINT entryFirst,UINT entriesInPalette,PALETTEENTRY *lpPaletteEntry);
void _pascal ByeByeGDI(DWORD someDWORD);
BOOL _pascal CancelDC(HDC hDC);
HBITMAP _pascal CreateBitmap(int nWidth,int nHeight,UINT cPlanes,UINT cBitsPerPixel,void *lpvBits);
HBITMAP _pascal CreateBitmapIndirect(BITMAP *lpBitmap);
HBITMAP _pascal CreateCompatibleBitmap(HDC hDC,int nWidth,int nHeight);
HDC _pascal CreateCompatibleDC(HDC hDC);
HDC _pascal CreateDCA(LPCSTR lpszDriver,LPCSTR lpszDevice,LPCSTR lpszOutput,DEVMODEA *lpInitData);
HBRUSH _pascal CreateDIBPatternBrush(HGLOBAL hglbDIBPacked,UINT fuColorSpace);
HBRUSH _pascal CreateDIBPatternBrushPt(void *lpPackedDIB,UINT iUsage);
HBITMAP _pascal CreateDIBSection(HDC hdc,BITMAPINFO *pbmi,UINT iUsage,void **ppvBits,HANDLE hSection,DWORD dwOffset);
HBITMAP _pascal CreateDIBitmap(HDC hdc,BITMAPINFOHEADER *lpbmih,DWORD fdwInit,void *lpbInit,BITMAPINFO *lpbmi,UINT fuUsage);
HBITMAP _pascal CreateDiscardableBitmap(HDC hdc,int nWidth,int nHeight);
HFONT _pascal CreateFontA(int nHeight,int nWidth,int nEscapement,int nOrientation,int fnWeight,DWORD fdwItalic,DWORD fdwUnderline,DWORD fdwStrikeOut,DWORD fdwCharSet,DWORD fdwOutputPrecision,DWORD fdwClipPrecision,DWORD fdwQuality,DWORD fdwPitchAndFamily,LPCTSTR lpszFace);
HFONT _pascal CreateFontIndirectA(LOGFONTA *lpLogFont);
HPALETTE _pascal CreatePalette(LOGPALETTE *lpLogPalette);
LONG _pascal GetBitmapBits(HBITMAP hBitmap,LONG cbBuffer,LPvoid lpvBits);
BOOL _pascal GetBitmapDimensionEx(HBITMAP hBitmap,LPSIZE lpDimension);
UINT _pascal GetDIBColorTable(HDC hDC,UINT uStartIndex,UINT uEntries,RGBQUAD *pColors);
int _pascal GetDIBits(HDC hDC,HBITMAP hBitmap,UINT uStartScan,UINT cScanLines,LPvoid lpvBits,LPBITMAPINFO lpBitmapInfo,UINT uUsage);
int _pascal GetDeviceCaps(HDC hDC,int nIndex);
BOOL _pascal GetDeviceGammaRamp(HDC hDC,LPvoid lpRamp);
COLORREF _pascal GetNearestColor(HDC hDC,COLORREF crColor);
UINT _pascal GetNearestPaletteIndex(HPALETTE hPalette,COLORREF crColor);
int _pascal GetObjectA(HGDIOBJ hgdiObj,int cbBuffer,LPvoid lpvObject);
DWORD _pascal GetObjectType(HGDIOBJ hgdiObj);
UINT _pascal GetPaletteEntries(HPALETTE hPalette,UINT uStartIndex,UINT uEntries,LPPALETTEENTRY lpPaletteEntry);
COLORREF _pascal GetPixel(HDC hDC,int nxPos,int nyPos);
int _pascal GetROP2(HDC hDC);
UINT _pascal GetSystemPaletteUse(HDC hDC);
BOOL _pascal MaskBlt(HDC hdcDest,int nXDest,int nYDest,int nWidth,int nHeight,HDC hdcSrc,int nXSrc,int nYSrc,HBITMAP hbmMask,int xMask,int yMask,DWORD dwRop);
BOOL _pascal PaintRgn(HDC hDC,HRGN hRegion);
BOOL _pascal PatBlt(HDC hdc,int nXLeft,int nYLeft,int nWidth,int nHeight,DWORD dwRop);
BOOL _pascal PlgBlt(HDC hDCDest,POINT *lpPoint,HDC hDCSrc,int nXSrc,int nYSrc,int nWidth,int nHeight,HBITMAP hbmMask,int xMask,int yMask);
UINT _pascal RealizePalette(HDC hdc);
BOOL _pascal ResizePalette(HPALETTE hPalette,UINT uEntries);
HGDIOBJ _pascal SelectObject(HDC hdc,HGDIOBJ hgdiobj);
HPALETTE _pascal SelectPalette(HDC hDC,HPALETTE hPalette,BOOL bForceBackground);
LONG _pascal SetBitmapBits(HBITMAP hBitmap,DWORD cBytes,LPvoid lpvBits);
BOOL _pascal SetBitmapDimensionEx(HBITMAP hBitmap,int nWidth,int nHeight,LPSIZE lpSize);
UINT _pascal SetDIBColorTable(HDC hDC,UINT uStartIndex,UINT uEntries,RGBQUAD *pColors);
int _pascal SetDIBits(HDC hDC,HBITMAP hbmp,UINT uStartScan,UINT cScanLines,LPvoid lpvBits,LPBITMAPINFO lpbmi,UINT fuColorUse);
int _pascal SetDIBitsToDevice(HDC hdc,int XDest,int YDest,DWORD dwWidth,DWORD dwHeight,int XSrc,int YSrc,UINT uStartScan,UINT cScanLines,LPvoid lpvBits,LPBITMAPINFO lpbmi,UINT fuColorUse);
int _pascal SetROP2(HDC hDC,int fnDrawMode);
int _pascal SetStretchBltMode(HDC hDC,int stretchMode);
BOOL _pascal StretchBlt(HDC hdcDest,int nXOriginDest,int nYOriginDest,int nWidthDest,int nHeightDest,HDC hdcSrc,int nXOriginSrc,int nYOriginSrc,int nWidthSrc,int nHeightSrc,DWORD dwRop);
int _pascal StretchDIBits(HDC hdc,int XDest,int YDest,int nDestWidth,int nDestHeight,int XSrc,int YSrc,int nSrcWidth,int nSrcHeight,LPvoid lpBits,LPBITMAPINFO lpBitsInfo,UINT iUsage,DWORD dwRop);
BOOL _pascal TextOutA(HDC hdc,int nXStart,int nYStart,LPCTSTR lpString,int cbString);
// ADVAPI32.DLL
LONG _pascal RegConnectRegistryA(LPTSTR lpszComputerName,HKEY hKey,PHKEY phkResult);
LONG _pascal RegCreateKeyA(HKEY hKey,LPCTSTR lpszSubKey,PHKEY phkResult);
LONG _pascal RegCreateKeyExA(HKEY hKey,LPCTSTR lpszSubKey,DWORD dwReserved,LPTSTR lpszClass,DWORD fdwOptions,REGSAM samDesired,LPSECURITY_ATTRIBUTES lpSecurityAttributes,PHKEY phkResult,LPDWORD lpdwDisposition);
LONG _pascal RegDeleteKeyA(HKEY hKey,LPCTSTR lpszSubKey);
LONG _pascal RegDeleteValueA(HKEY hKey,LPTSTR lpszValue);
LONG _pascal RegEnumKeyA(HKEY hKey,DWORD iSubKey,LPTSTR lpszName,DWORD cchName);
LONG _pascal RegEnumKeyExA(HKEY hKey,DWORD iSubkey,LPTSTR lpszName,LPDWORD lpcchName,LPDWORD lpdwReserved,LPTSTR lpszClass,LPDWORD lpcchClass,PFILETIME lpftLastWrite);
LONG _pascal RegEnumValueA(HKEY hKey,DWORD iValue,LPTSTR lpszValue,LPDWORD lpcchValue,LPDWORD lpdwReserved,LPDWORD lpdwType,LPBYTE lpbData,LPDWORD lpcbData);
LONG _pascal RegLoadKeyA(HKEY hKey,LPCTSTR lpszSubKey,LPCTSTR lpszFile);
LONG _pascal RegOpenKeyA(HKEY hKey,LPCTSTR lpszSubKey,PHKEY phkResult);
LONG _pascal RegOpenKeyExA(HKEY hKey,LPCTSTR lpszSubKey,DWORD dwReserved,REGSAM samDesired,PHKEY phkResult);
LONG _pascal RegQueryInfoKeyA(HKEY hKey,LPTSTR lpszClass,LPDWORD lpcchClass,LPDWORD lpdwReserved,LPDWORD lpcSubKeys,LPDWORD lpcchMaxSubkey,LPDWORD lpcchMaxClass,LPDWORD lpcValues,LPDWORD lpcchMaxValueName,LPDWORD lpcbMaxValueData,LPDWORD lpcbSecurityDescriptor,PFILETIME lpftLastWriteTime);
LONG _pascal RegQueryValueA(HKEY hKey,LPCTSTR lpszSubKey,LPTSTR lpszValue,PLONG pcbValue);
LONG _pascal RegQueryValueExA(HKEY hKey,LPTSTR lpszValueName,LPDWORD lpdwReserved,LPDWORD lpdwType,LPBYTE lpbData,LPDWORD lpcbData);
LONG _pascal RegReplaceKeyA(HKEY hKey,LPCTSTR lpSubKey,LPCTSTR lpNewFile,LPCTSTR lpOldFile);
LONG _pascal RegRestoreKeyA(HKEY hKey,LPCTSTR lpszFile,DWORD fdw);
LONG _pascal RegSaveKeyA(HKEY hKey,LPCTSTR lpszFile,LPSECURITY_ATTRIBUTES lpsa);
LONG _pascal RegSetValueA(HKEY hKey,LPCTSTR lpSubKey,DWORD dwType,LPCTSTR lpData,DWORD cbData);
LONG _pascal RegSetValueExA(HKEY hKey,LPCTSTR lpValueName,DWORD Reserved,DWORD dwType,BYTE *lpData,DWORD cbData);
LONG _pascal RegUnLoadKeyA(HKEY hKey,LPCTSTR lpszSubKey);
LONG _pascal RegCloseKey(HKEY hKey);
// OPENGL32.DLL
BOOL _pascal wglMakeCurrent(HDC hDC,HGLRC hGLRC);
void _pascal glClear(unsigned int mask);
void _pascal glBegin(int mode);
HGLRC _pascal wglCreateContext(HDC hDC);
BOOL _pascal wglDeleteContext(HGLRC hGLRC);
void _pascal glShadeModel(int mode);
void _pascal glClearColor(float red,float green,float blue,float alpha);
int _pascal ChoosePixelFormat(HDC hDC,PPIXELFORMATDESCRIPTOR pPixelFormatDescriptor);
void _pascal glMatrixMode(int mode);
void _pascal glLoadIdentity(void); 
void _pascal glNewList(unsigned int list,int mode);
void _pascal glEndList(void); 
void _pascal glPushMatrix(void); 
void _pascal glRotatef(GLfloat angle,GLfloat x,GLfloat y,GLfloat z);
void _pascal glTranslatef(GLfloat x,GLfloat y,GLfloat z);
void _pascal glPopMatrix(void); 
BOOL _pascal SwapBuffers(HDC hDC);
// WSOCK32.DLL
int _pascal socket(int af,int type,int protocol);
int _pascal send(SOCKET s,char *buf,int len,int flags);
// COMCTL32.DLL
HIMAGELIST _pascal ImageList_Create(int cx,int cy,UINT flags,int cInitial,int cGrow);
BOOL _pascal ImageList_DragMove(int x,int y);
BOOL _pascal ImageList_BeginDrag(HIMAGELIST himlTrack,int iTrack,int dxHotSpot,int dyHotSpot);
BOOL _pascal ImageList_DragEnter(HWND hwndLock,int x,int y);
BOOL _pascal ImageList_DragLeave(HWND hwndLock);
BOOL _pascal ImageList_DragShowNolock(BOOL fShow);
HIMAGELIST _pascal ImageList_GetDragImage(NPPOINT ppt,NPPOINT pptHotSpot);
BOOL _pascal ImageList_SetDragCursorImage(HIMAGELIST himlDrag,int iDrag,int dxHotspot,int dyHotSpot);
BOOL _pascal ImageList_EndDrag(void); 
HIMAGELIST _pascal ImageList_LoadImage(HINSTANCE hProcessInstance,LPCSTR lpBmp,int cx,int cGrow,COLORREF crMask,UINT uType,UINT uFlags);
HWND CreateToolbarEx(HWND hwnd,DWORD ws,UINT wID,int nBitmaps,HINSTANCE hBMInst,UINT wBMID,void *lpButtons,int iNumButtons,int dxButton,int dyButton,int dxBitmap,int dyBitmap,UINT uStructSize);
// WININET.DLL
BOOL _pascal CommitUrlCacheEntryA(LPCSTR lpszUrlName,LPCSTR lpszLocalFileName,FILETIME ExpireTime,FILETIME LastModifiedTime,DWORD CacheEntryType,LPBYTE lpHeaderInfo,DWORD dwHeaderSize,LPCSTR lpszFileExtension,DWORD dwReserved);
BOOL _pascal CreateUrlCacheEntryA(LPCSTR lpszUrlName,DWORD dwExpectedFileSize,LPCSTR lpszFileExtension,LPSTR lpszFileName,DWORD dwReserved);
BOOL _pascal DeleteUrlCacheEntry(LPCSTR lpszUrlName);
BOOL _pascal FindCloseUrlCache(HANDLE hEnumHandle);
HANDLE _pascal FindFirstUrlCacheEntryA(LPCSTR lpszUrlSearchPattern,LPINTERNET_CACHE_ENTRY_INFOA lpFirstCacheEntryInfo,LPDWORD lpdwFirstCacheEntryInfoBufferSize);
BOOL _pascal FindNextUrlCacheEntryA(HANDLE hEnumHandle,LPINTERNET_CACHE_ENTRY_INFOA lpNextCacheEntryInfo,LPDWORD lpdwNextCacheEntryInfoBufferSize);
BOOL _pascal FtpCreateDirectoryA(HINTERNET hConnect,LPCSTR lpszDirectory);
BOOL _pascal FtpDeleteFileA(HINTERNET hConnect,LPCSTR lpszFileName);
HINTERNET _pascal FtpFindFirstFileA(HINTERNET hConnect,LPCSTR lpszSearchFile,LPWIN32_FIND_DATA lpFindFileData,DWORD dwFlags,DWORD dwContext);
BOOL _pascal FtpGetCurrentDirectoryA(HINTERNET hConnect,LPSTR lpszCurrentDirectory,LPDWORD lpdwCurrentDirectory);
BOOL _pascal FtpGetFileA(HINTERNET hConnect,LPCSTR lpszRemoteFile,LPCSTR lpszNewFile,BOOL fFailIfExists,DWORD dwFlagsAndAttributes,DWORD dwFlags,DWORD dwContext);
HINTERNET _pascal FtpOpenFileA(HINTERNET hConnect,LPCSTR lpszFileName,DWORD dwAccess,DWORD dwFlags,DWORD dwContext);
BOOL _pascal FtpPutFileA(HINTERNET hConnect,LPCSTR lpszLocalFile,LPCSTR lpszNewRemoteFile,DWORD dwFlags,DWORD dwContext);
BOOL _pascal FtpRemoveDirectoryA(HINTERNET hConnect,LPCSTR lpszDirectory);
BOOL _pascal FtpRenameFileA(HINTERNET hConnect,LPCSTR lpszExisting,LPCSTR lpszNew);
BOOL _pascal FtpSetCurrentDirectoryA(HINTERNET hConnect,LPCSTR lpszDirectory);
BOOL _pascal GetUrlCacheEntryInfoA(LPCSTR lpszUrlName,LPINTERNET_CACHE_ENTRY_INFOA lpCacheEntryInfo,LPDWORD lpdwCacheEntryInfoBufferSize);
BOOL _pascal GopherCreateLocatorA(LPCSTR lpszHost,INTERNET_PORT nServerPort,LPCSTR lpszDisplayString,LPCSTR lpszSelectorString,DWORD dwGopherType,LPSTR lpszLocator,LPDWORD lpdwBufferLength);
HINTERNET _pascal GopherFindFirstFileA(HINTERNET hConnect,LPCSTR lpszLocator,LPCSTR lpszSearchString,LPGOPHER_FIND_DATAA lpFindData,DWORD dwFlags,DWORD dwContext);
BOOL _pascal GopherGetAttributeA(HINTERNET hConnect,LPCSTR lpszLocator,LPCSTR lpszAttributeName,LPBYTE lpBuffer,DWORD dwBufferLength,LPDWORD lpdwCharactersReturned,GOPHER_ATTRIBUTE_ENUMERATOR lpfnEnumerator,DWORD dwContext);
BOOL _pascal GopherGetLocatorTypeA(LPCSTR lpszLocator,LPDWORD lpdwGopherType);
HINTERNET _pascal GopherOpenFileA(HINTERNET hConnect,LPCSTR lpszLocator,LPCSTR lpszView,DWORD dwFlags,DWORD dwContext);
BOOL _pascal HttpAddRequestHeadersA(HINTERNET hRequest,LPCSTR lpszHeaders,DWORD dwHeadersLength,DWORD dwModifiers);
HINTERNET _pascal HttpOpenRequestA(HINTERNET hConnect,LPCSTR lpszVerb,LPCSTR lpszObjectName,LPCSTR lpszVersion,LPCSTR lpszReferrer,LPCSTR *lplpszAcceptTypes,DWORD dwFlags,DWORD dwContext);
BOOL _pascal HttpQueryInfoA(HINTERNET hRequest,DWORD dwInfoLevel,LPvoid lpBuffer,LPDWORD lpdwBufferLength,LPDWORD lpdwIndex);
BOOL _pascal HttpSendRequestA(HINTERNET hRequest,LPCSTR lpszHeaders,DWORD dwHeadersLength,LPvoid lpOptional,DWORD dwOptionalLength);
DWORD _pascal InternetAttemptConnect(DWORD dwReserved);
BOOL _pascal InternetCanonicalizeUrlA(LPCSTR lpszUrl,LPSTR lpszBuffer,LPDWORD lpdwBufferLength,DWORD dwFlags);
BOOL _pascal InternetCloseHandle(HINTERNET hInternet);
BOOL _pascal InternetCombineUrlA(LPCSTR lpszBaseUrl,LPCSTR lpszRelativeUrl,LPSTR lpszBuffer,LPDWORD lpdwBufferLength,DWORD dwFlags);
DWORD _pascal InternetConfirmZoneCrossing(HWND hWnd,LPSTR szUrlPrev,LPSTR szUrlNew,BOOL bPost);
HINTERNET _pascal InternetConnectA(HINTERNET hInternet,LPCSTR lpszServerName,INTERNET_PORT nServerPort,LPCSTR lpszUserName,LPCSTR lpszPassword,DWORD dwService,DWORD dwFlags,DWORD dwContext);
BOOL _pascal InternetCrackUrlA(LPCSTR lpszUrl,DWORD dwUrlLength,DWORD dwFlags,LPURL_COMPONENTSA lpUrlComponents);
BOOL _pascal InternetCreateUrlA(LPURL_COMPONENTSA lpUrlComponents,DWORD dwFlags,LPSTR lpszUrl,LPDWORD lpdwUrlLength);
BOOL _pascal InternetTimeFromSystemTime(SYSTEMTIME *pst,DWORD dwRFC,LPSTR lpszTime,DWORD cbTime);
BOOL _pascal InternetTimeToSystemTime(LPCSTR lpszTime,SYSTEMTIME *pst,DWORD dwReserved);
BOOL _pascal InternetDebugGetLocalTime(SYSTEMTIME *pstLocalTime,DWORD *pdwReserved);
DWORD _pascal InternetErrorDlg(HWND hWnd,HINTERNET hRequest,DWORD dwError,DWORD dwFlags,LPvoid *lppvData);
BOOL _pascal InternetFindNextFileA(HINTERNET hFind,LPvoid lpvFindData);
BOOL _pascal InternetGetCookieA(LPCSTR lpszUrl,LPCSTR lpszCookieName,LPSTR lpCookieData,LPDWORD lpdwSize);
BOOL _pascal InternetGetLastResponseInfoA(LPDWORD lpdwError,LPSTR lpszBuffer,LPDWORD lpdwBufferLength);
HINTERNET _pascal InternetOpenA(LPCSTR lpszAgent,DWORD dwAccessType,LPCSTR lpszProxy,LPCSTR lpszProxyBypass,DWORD dwFlags);
HINTERNET _pascal InternetOpenUrlA(HINTERNET hInternet,LPCSTR lpszUrl,LPCSTR lpszHeaders,DWORD dwHeadersLength,DWORD dwFlags,DWORD dwContext);
BOOL _pascal InternetQueryDataAvailable(HINTERNET hFile,LPDWORD lpdwNumberOfBytesAvailable,DWORD dwFlags,DWORD dwContext);
BOOL _pascal InternetQueryOptionA(HINTERNET hInternet,DWORD dwOption,LPvoid lpBuffer,LPDWORD lpdwBufferLength);
BOOL _pascal InternetReadFile(HINTERNET hFile,LPvoid lpBuffer,DWORD dwNumberOfBytesToRead,LPDWORD lpdwNumberOfBytesRead);
BOOL _pascal InternetSetCookieA(LPCSTR lpszUrl,LPCSTR lpszCookieName,LPCSTR lpszCookieData);
DWORD _pascal InternetSetFilePointer(HINTERNET hFile,LONG  lDistanceToMove,Pvoid pReserved,DWORD dwMoveMethod,DWORD dwContext);
BOOL _pascal InternetSetOptionA(HINTERNET hInternet,DWORD dwOption,LPvoid lpBuffer,DWORD dwBufferLength);
BOOL _pascal InternetSetOptionExA(HINTERNET hInternet,DWORD dwOption,LPvoid lpBuffer,DWORD dwBufferLength,DWORD dwFlags);
LPvoid _pascal InternetSetStatusCallback(HINTERNET hInternet,LPvoid lpfnInternetCallback);
BOOL _pascal InternetWriteFile(HINTERNET hFile,LPCvoid lpBuffer,DWORD dwNumberOfBytesToWrite,LPDWORD lpdwNumberOfBytesWritten);
BOOL _pascal ReadUrlCacheEntryStream(HANDLE hUrlCacheStream,DWORD dwLocation,LPvoid lpBuffer,LPDWORD lpdwLen,DWORD Reserved);
BOOL _pascal RetrieveUrlCacheEntryFileA(LPCSTR  lpszUrlName,LPINTERNET_CACHE_ENTRY_INFOA lpCacheEntryInfo,LPDWORD lpdwCacheEntryInfoBufferSize,DWORD dwReserved);
HANDLE _pascal RetrieveUrlCacheEntryStreamA(LPCSTR  lpszUrlName,LPINTERNET_CACHE_ENTRY_INFOA lpCacheEntryInfo,LPDWORD lpdwCacheEntryInfoBufferSize,BOOL fRandomRead,DWORD dwReserved);
BOOL _pascal SetUrlCacheEntryInfoA(LPCSTR lpszUrlName,LPINTERNET_CACHE_ENTRY_INFOA lpCacheEntryInfo,DWORD dwFieldControl);
BOOL _pascal UnlockUrlCacheEntryFile(LPCSTR lpszUrlName,DWORD dwReserved);
BOOL _pascal UnlockUrlCacheEntryStream(HANDLE hUrlCacheStream,DWORD Reserved);
